## libkal 0.9.0

=== Makefile ===


CC=gcc
AR=ar
RANLIB=ranlib
#OPT=-O2
OPT=-g -Wall
AROPT=rc
LIBS=-L./ -lkal

#########################################################################


all:tests libkal.a
tests: check test test1 test-dw

test-dw: test-dw.c libkal.a
	$(CC) $(OPT) test-dw.c libkal.a -o $@ $(LIBS)

test1: test1.c libkal.a
	$(CC) $(OPT) test1.c libkal.a -o $@ $(LIBS)

test: test.c libkal.a
	$(CC) $(OPT) test.c libkal.a -o $@ $(LIBS)

check: check.c libkal.a
	$(CC) $(OPT) check.c libkal.a -o $@ $(LIBS)

libkal.a: kal_main.o kal_getdate.o kal_names.o kal_check.o kal_procs.o
	rm -f $@
	$(AR) $(AROPT) $@ kal_main.o kal_getdate.o kal_names.o kal_check.o                                kal_procs.o
	$(RANLIB) $@
	
clean: 
	rm -f *.o *~ core check test test1 libkal.a test-dw

=== gtk-example/Makefile ===


LIBS=-L/usr/X11/lib -L../ -lgtk -lgdk -lglib -lXt -lXext -lX11 -lkal
INCL=-I../
#-lICE
CC=gcc
#OPT=-O6
OPT=-g

##################
#
OO=$(OPT) $(LIBS)

example: example.c utilz.c ../libkal.a 
	$(CC) $(OPT) example.c $(INCL) $(LIBS) -o $@

clean:
	rm -f *~ *.o core example

=== debian/changelog ===
libkal (0.9.0-5) unstable; urgency=medium

  * d/p/fix-FTBFS-with-GCC-14.patch: add test.c & test1.c (Closes: #1075175)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 25 Jul 2024 19:38:03 +0200

libkal (0.9.0-4) unstable; urgency=medium

  * d/rules: set DEB_CPPFLAGS to -D_FORTIFY_SOURCE=2
    DEB_LDFLAGS to -Wl,-z,relro
    DEB_CFLAGS to -O2 -fstack-protector-strong -Wformat
    -Werror=format-security
  * Add fix-FTBFS-with-GCC-14.patch patch to include header files to fix FTBFS
    with GCC-14 (Closes: #1075175)
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 09 Jul 2024 04:20:20 +0200

libkal (0.9.0-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add fix-impfuncdef-issue.diff to fix ftbfs (Closes: #1066513)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 30 Apr 2024 16:19:46 +0800

libkal (0.9.0-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/control:
    + Update to debhelper-compat 13
    + Updated standards version to 4.6.2
    + Add Rules-Requires-Root: no
  * Add simple autopackagetest.
    Thanks to Vibhav Pant <vibhavp@ubuntu.com>
  * d/watch: update to format 4
  * d/copyright: update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 25 Apr 2023 04:11:53 +0200

libkal (0.9.0-2) unstable; urgency=low

  * debian/rules: simplify rules file
  * Removed debian/libkal-dev.{dirs|install}
  * Add Depends: ${misc:Depends} to libkal-dev
  * Update my email address
  * Bump compat level to 10
  * Update standards version to 4.1.1
  * Changed Vcs-* fields to secure canonical URLs
  * Changed priority to optional
  * Update copyright format & years
  * Switch to 3.0 (quilt) source format
  * Fix spelling errors in package description.
    Thanks to Jakub Wilk <jwilk@debian.org> (Closes: #801235)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 22 Oct 2017 04:11:02 +0200

libkal (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #535461)
  * Added Makefile.diff patch to add install target to Makefile.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 02 Jul 2009 10:21:23 +0300

=== debian/control ===
Source: libkal
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: http://www.etf.cuni.cz/~tomasek/pub/my/
Vcs-Git: https://salsa.debian.org/debian/libkal.git
Vcs-Browser: https://salsa.debian.org/debian/libkal

Package: libkal-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: library for converting dates between various calendar systems
 The 'libkal' library provides support for converting dates between various
 calendar systems (currently only Julian, Gregorian, Arabic and Jewish
 ones) and some more related stuff.
 .
 The basic idea of this library is, that any date in any calendar system can be
 converted to a single number, which express the number of days since some
 fixed date in the past. libkal uses the so-called 'julianic date'(jd), that is
 used in Astronomy (not exactly).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_CFLAGS=-Os -fomit-frame-pointer -g
DEB_CPPFLAGS=-D_FORTIFY_SOURCE=2
DEEB_LDFLAGS=-Wl,-z,relro

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@
